---
wsId: MandalaExchange
title: Mandala Exchange
altTitle: 
authors:
- danny
users: 10000
appId: com.cloud.app.mandala
appCountry: us
released: 2021-08-19
updated: 2021-08-19
version: 1.0.0
stars: 3
ratings: 155
reviews: 23
size: 
website: https://mandala.exchange
repository: 
issue: 
icon: com.cloud.app.mandala.png
bugbounty: 
meta: ok
verdict: custodial
date: 2021-11-15
signer: 
reviewArchive: 
twitter: mandalaex
social:
- https://www.facebook.com/mandalaexchange
- https://www.reddit.com/r/MandalaExchange
redirect_from: 

---

## App Description

Mandala is a cryptocurrency exchange with 250+ trading pairs.

## More Information

Mandala claims to be [hosted on Binance Cloud](https://www.mandala.exchange/post/mandala-where-security-is-paramount), Binance's hosting solution for cryptocurrency exchanges. 

> Having the privilege of being Binance Cloud backed, Mandala Exchange follows a mix of hot and cold exchange wallets as used by Binance to secure the customer funds. This allows no withdrawal fees between Binance and Mandala while allowing Mandala to be insured through the SAFU program by Binance. The SAFU program is an emergency insurance fund, and it is funded by allocating 10% of all trading fees received into the SAFU **cold wallet.**

However, Binance itself does not name any specific exchanges [on its webpage concerning this service.](https://cloud.binance.com/)

This is a tutorial on [how to withdraw cryptocurrencies](https://support.mandala.exchange/hc/en-us/articles/4409894331671-How-to-Withdraw-Cryptocurrency-from-Mandala) from Mandala.

## The App

We downloaded the app and could not find bitcoin wallet features such as backup mnemonics. Users can send and receive bitcoins and other cryptocurrencies.

## Verdict

This exchange is a **custodial** service and its app **cannot be verified.**
